Loading...
Searching...
No Matches
noise_source.h File Reference
`#include <gnuradio/analog/api.h>`
`#include <gnuradio/analog/noise_type.h>`
`#include <gnuradio/sync_block.h>`
Include dependency graph for noise_source.h:

Go to the source code of this file.

## Classes

class | gr::analog::noise_source< T >
| Random number source. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::analog

## Typedefs

typedef noise_source< std::int16_t > | gr::analog::noise_source_s
typedef noise_source< std::int32_t > | gr::analog::noise_source_i
typedef noise_source< float > | gr::analog::noise_source_f
typedef noise_source< gr_complex > | gr::analog::noise_source_c